Bug 49769 - EDITING: Arrow up moves caret down instead of up in 2 columns section in TABLE
Summary: EDITING: Arrow up moves caret down instead of up in 2 columns section in TABLE
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Page-Layout-Columns
  Show dependency treegraph
 
Reported: 2012-05-10 18:59 UTC by David Barton
Modified: 2020-09-28 03:55 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Sample document with section within a table (11.19 KB, application/vnd.oasis.opendocument.text)
2012-05-10 18:59 UTC, David Barton
Details
Simplified Sample Document (9.23 KB, application/vnd.oasis.opendocument.text)
2012-05-10 21:55 UTC, Rainer Bielefeld Retired
Details
yet another test document (20.47 KB, application/vnd.oasis.opendocument.text)
2015-05-13 13:51 UTC, Gordo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Barton 2012-05-10 18:59:06 UTC
Created attachment 61411 [details]
Sample document with section within a table

When you use arrow keys to scroll the cursor between paragraphs of a multi column section embedded within a table, the cursor displays unexpected behaviour.  It often jumps to the text just before the section (when pressing up) or even the next page (when pressing down) rather than the expected next or previous paragraph.

Clicking up on the very first paragraph of the section or down on the very last does yield the expected response.

Steps to reproduce:
1. Insert a table with 3 rows
2. Insert a section with 2 columns
3. Add in some paragraphs into the section
4. Click on a paragraph within the section (not the first or last)
5. Press the up or down cursor key.


Current behavior:
Cursor moves to an unexpected location within the document.

Expected behavior:
Cursor moves to the preceding or next paragraph within the section.

Platform (if different from the browser): 
Ubuntu 12.04
              
Browser: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/535.19 (KHTML, like Gecko) Chrome/18.0.1025.168 Safari/535.19
Comment 1 Rainer Bielefeld Retired 2012-05-10 21:54:44 UTC
[Reproducible] with reporter's sample "LibreOffice 3.5.3.2 (RC2) German UI/Locale [Build-ID: 235ab8a-3802056-4a8fed3-2d66ea8-e241b80] on German WIN7 Home Premium (64bit)

Steps how to reproduce:
0. Start LibO from WIN programs start center
1. Open reporter's sampe from LibO menu 'File -> open'
2. click into word "text" in "More paragraph text makes it better" between
   "e" and "x"
3. <arrowup>
  Expected: caret moves line up, flashes between "t" and "w"
  Actual: New line below section appears, Caret flashes in new line

Steps how to create a sample document from the scratch:
10. Start LibO from WIN programs start center
11. Click "New Writer Document
12. Use the 'Insert Table' icon to insert a single cell Table
13. Menu 'Insert - Section ...' <Insert>
    Section will be inserted, Caret flashes below section
14. Click into section
    Caret flashes in section, extra line below section disappears
15. Menu 'Format -> Colunmns'
16. Increase number of Columns to "2" <ok>
17. Type "This is some Text"<Enter>
18. Select typed aext with click into word, then <control+a>
19. <control+c> for copy
20. Click in front of first word 
21. 3 Times <control+v><Enter>
    > Fills the section with 4 identical text lines without any empty line in 
      section

Now you can reproduce the problem:
22. Click into left bottom text line
13. Arrowup

I reproduce the problem with LibO 3.4.1RC and LibO3.3.3, (new document from the scratch), even OOo 3.3 shows that strange caret moving issue (but there in step 14 the extra line will not disappear), so I believe it's inherited from OOo

@Cédric:
Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug
Comment 2 Rainer Bielefeld Retired 2012-05-10 21:55:51 UTC
Created attachment 61413 [details]
Simplified Sample Document
Comment 3 Cédric Bosdonnat 2014-01-20 08:57:10 UTC
Restricted my LibreOffice hacking area
Comment 4 Joel Madero 2015-05-02 15:41:53 UTC Comment hidden (obsolete)
Comment 5 Gordo 2015-05-13 13:51:12 UTC
Created attachment 115561 [details]
yet another test document

Inserting a section into a table cell will always have an empty paragraph after the section unless, of course, you decide that you need text there.  When arrowing up through the first column the cursor jumps to this empty paragraph (or text).  Arrowing up again, correctly, moves the cursor up through the second column.

Since it is not possible to delete the empty paragraph after the section, the behaviour of hiding it after saving and reloading probably exists so as to make everything look tidy.

Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Comment 6 QA Administrators 2016-09-20 09:42:13 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2020-09-28 03:55:47 UTC
Dear David Barton,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug